# BEGIN SourceDeps(oneline):
BuildRequires: python-devel
# END SourceDeps(oneline)
Name:              audio-convert-mod
Version:           3.46.0b
Release:           alt2_6
BuildArch:         noarch
Summary:           A simple audio file converter that supports many formats
Group:             Sound
License:           GPLv2+
URL:               http://www.diffingo.com/oss/audio-convert-mod
Source0:           http://downloads.diffingo.com/audio-convert-mod/audio-convert-mod-%{version}.tar.bz2
Patch0:            acm-ape-notags.patch

BuildRequires:     desktop-file-utils
# Pulls gettext and autotools
BuildRequires:     intltool
# Required for tags test
BuildRequires:     python-module-mutagen

Requires:          python-module-pygtk
Requires:          notify-python
# FOSS encoders, decoders, taggers
Requires:          flac
Requires:          vorbis-tools
Requires:          wavpack
Requires:          python-module-mutagen
Source44: import.info

%description
audio-convert-mod is a simple audio file converter supporting various formats
via external binaries. It allows for the batch conversion of audio files, either
from directly within the program or from the file manager. Drag-and-drop
conversion is also supported. File tags/metadata are preserved when possible.


%prep
%setup -q
pushd src/audio_convert_mod
%patch0 -p0 -b .apetag
popd

%build

%configure
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora\
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications\
    --delete-original \
    ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%check
make check

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/fedora-*.desktop


%changelog
* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 3.46.0b-alt2_6
- rebuild to get rid of unmets

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 3.46.0b-alt1_6
- update to new release by fcimport

* Tue May 22 2012 Igor Vlasenko <viy@altlinux.ru> 3.46.0b-alt1_5
- regenerated with 0.46 R::S::C

